# Interface TxAndAbi

This type is a pair containing both a set of transaction options (as might be sent to web3), including `data`, and an ABI for that transaction. Only function transactions are covered here at the moment, because this is meant to be used with overload resolution as the return type.

#### Category

Inputs

#### Hierarchy

- TxAndAbi

- Defined in encoder/lib/types.ts:40

#####
Index

### Properties

abi
tx

## Properties

### abi

abi: FunctionEntry

This field holds the ABI for the transaction. Because this is intended as a return type for overload resolution, only function ABI entries can go here.

- Defined in encoder/lib/types.ts:50

### tx

tx: Options

This field holds the transaction options.

- Defined in encoder/lib/types.ts:44

Generated using TypeDoc